[PATCH] drivers/net/*: convert to pci_register_driver()

From: Christophe Lucas <c.lucas@ifrance.com>

Signed-off-by: Christophe Lucas <c.lucas@ifrance.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Alexey Dobriyan <adobriyan@gmail.com>

Index: linux-kj/drivers/net/3c59x.c
===================================================================
--- linux-kj.orig/drivers/net/3c59x.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/3c59x.c	2005-10-28 16:28:47.000000000 +0400
@@ -3327,7 +3327,7 @@ static int __init vortex_init (void)
 {
 	int pci_rc, eisa_rc;
 
-	pci_rc = pci_module_init(&vortex_driver);
+	pci_rc = pci_register_driver(&vortex_driver);
 	eisa_rc = vortex_eisa_init();
 
 	if (pci_rc == 0)
Index: linux-kj/drivers/net/8139cp.c
===================================================================
--- linux-kj.orig/drivers/net/8139cp.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/8139cp.c	2005-10-28 16:28:47.000000000 +0400
@@ -1938,7 +1938,7 @@ static int __init cp_init (void)
 #ifdef MODULE
 	printk("%s", version);
 #endif
-	return pci_module_init (&cp_driver);
+	return pci_register_driver (&cp_driver);
 }
 
 static void __exit cp_exit (void)
Index: linux-kj/drivers/net/8139too.c
===================================================================
--- linux-kj.orig/drivers/net/8139too.c	2005-10-28 16:27:11.000000000 +0400
+++ linux-kj/drivers/net/8139too.c	2005-10-28 16:28:47.000000000 +0400
@@ -2636,7 +2636,7 @@ static int __init rtl8139_init_module (v
 	printk (KERN_INFO RTL8139_DRIVER_NAME "\n");
 #endif
 
-	return pci_module_init (&rtl8139_pci_driver);
+	return pci_register_driver (&rtl8139_pci_driver);
 }
 
 
Index: linux-kj/drivers/net/acenic.c
===================================================================
--- linux-kj.orig/drivers/net/acenic.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/acenic.c	2005-10-28 16:28:47.000000000 +0400
@@ -730,7 +730,7 @@ static struct pci_driver acenic_pci_driv
 
 static int __init acenic_init(void)
 {
-	return pci_module_init(&acenic_pci_driver);
+	return pci_register_driver(&acenic_pci_driver);
 }
 
 static void __exit acenic_exit(void)
Index: linux-kj/drivers/net/amd8111e.c
===================================================================
--- linux-kj.orig/drivers/net/amd8111e.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/amd8111e.c	2005-10-28 16:28:47.000000000 +0400
@@ -2159,7 +2159,7 @@ static struct pci_driver amd8111e_driver
 
 static int __init amd8111e_init(void)
 {
-	return pci_module_init(&amd8111e_driver);
+	return pci_register_driver(&amd8111e_driver);
 }
 
 static void __exit amd8111e_cleanup(void)
Index: linux-kj/drivers/net/b44.c
===================================================================
--- linux-kj.orig/drivers/net/b44.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/b44.c	2005-10-28 16:28:47.000000000 +0400
@@ -1971,7 +1971,7 @@ static struct pci_driver b44_driver = {
 
 static int __init b44_init(void)
 {
-	return pci_module_init(&b44_driver);
+	return pci_register_driver(&b44_driver);
 }
 
 static void __exit b44_cleanup(void)
Index: linux-kj/drivers/net/defxx.c
===================================================================
--- linux-kj.orig/drivers/net/defxx.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/defxx.c	2005-10-28 16:28:47.000000000 +0400
@@ -3444,7 +3444,7 @@ static int __init dfx_init(void)
 {
 	int rc_pci, rc_eisa;
 
-	rc_pci = pci_module_init(&dfx_driver);
+	rc_pci = pci_register_driver(&dfx_driver);
 	if (rc_pci >= 0) dfx_have_pci = 1;
 	
 	rc_eisa = dfx_eisa_init();
Index: linux-kj/drivers/net/dl2k.c
===================================================================
--- linux-kj.orig/drivers/net/dl2k.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/dl2k.c	2005-10-28 16:28:47.000000000 +0400
@@ -1848,7 +1848,7 @@ static struct pci_driver rio_driver = {
 static int __init
 rio_init (void)
 {
-	return pci_module_init (&rio_driver);
+	return pci_register_driver (&rio_driver);
 }
 
 static void __exit
Index: linux-kj/drivers/net/e100.c
===================================================================
--- linux-kj.orig/drivers/net/e100.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/e100.c	2005-10-28 16:28:47.000000000 +0400
@@ -2481,7 +2481,7 @@ static int __init e100_init_module(void)
 		printk(KERN_INFO PFX "%s, %s\n", DRV_DESCRIPTION, DRV_VERSION);
 		printk(KERN_INFO PFX "%s\n", DRV_COPYRIGHT);
 	}
-	return pci_module_init(&e100_driver);
+	return pci_register_driver(&e100_driver);
 }
 
 static void __exit e100_cleanup_module(void)
Index: linux-kj/drivers/net/eepro100.c
===================================================================
--- linux-kj.orig/drivers/net/eepro100.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/eepro100.c	2005-10-28 16:28:47.000000000 +0400
@@ -2391,7 +2391,7 @@ static int __init eepro100_init_module(v
 #ifdef MODULE
 	printk(version);
 #endif
-	return pci_module_init(&eepro100_driver);
+	return pci_register_driver(&eepro100_driver);
 }
 
 static void __exit eepro100_cleanup_module(void)
Index: linux-kj/drivers/net/epic100.c
===================================================================
--- linux-kj.orig/drivers/net/epic100.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/epic100.c	2005-10-28 16:28:47.000000000 +0400
@@ -1673,7 +1673,7 @@ static int __init epic_init (void)
 		version, version2, version3);
 #endif
 
-	return pci_module_init (&epic_driver);
+	return pci_register_driver (&epic_driver);
 }
 
 
Index: linux-kj/drivers/net/fealnx.c
===================================================================
--- linux-kj.orig/drivers/net/fealnx.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/fealnx.c	2005-10-28 16:28:47.000000000 +0400
@@ -1992,7 +1992,7 @@ static int __init fealnx_init(void)
 	printk(version);
 #endif
 
-	return pci_module_init(&fealnx_driver);
+	return pci_register_driver(&fealnx_driver);
 }
 
 static void __exit fealnx_exit(void)
Index: linux-kj/drivers/net/forcedeth.c
===================================================================
--- linux-kj.orig/drivers/net/forcedeth.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/forcedeth.c	2005-10-28 16:28:47.000000000 +0400
@@ -2585,7 +2585,7 @@ static struct pci_driver driver = {
 static int __init init_nic(void)
 {
 	printk(KERN_INFO "forcedeth.c: Reverse Engineered nForce ethernet driver. Version %s.\n", FORCEDETH_VERSION);
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit exit_nic(void)
Index: linux-kj/drivers/net/hp100.c
===================================================================
--- linux-kj.orig/drivers/net/hp100.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/hp100.c	2005-10-28 16:28:47.000000000 +0400
@@ -3065,7 +3065,7 @@ static int __init hp100_module_init(void
 		goto out2;
 #endif
 #ifdef CONFIG_PCI
-	err = pci_module_init(&hp100_pci_driver);
+	err = pci_register_driver(&hp100_pci_driver);
 	if (err && err != -ENODEV) 
 		goto out3;
 #endif
Index: linux-kj/drivers/net/ioc3-eth.c
===================================================================
--- linux-kj.orig/drivers/net/ioc3-eth.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/ioc3-eth.c	2005-10-28 16:28:47.000000000 +0400
@@ -1358,7 +1358,7 @@ static struct pci_driver ioc3_driver = {
 
 static int __init ioc3_init_module(void)
 {
-	return pci_module_init(&ioc3_driver);
+	return pci_register_driver(&ioc3_driver);
 }
 
 static void __exit ioc3_cleanup_module(void)
Index: linux-kj/drivers/net/natsemi.c
===================================================================
--- linux-kj.orig/drivers/net/natsemi.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/natsemi.c	2005-10-28 16:28:47.000000000 +0400
@@ -3260,7 +3260,7 @@ static int __init natsemi_init_mod (void
 	printk(version);
 #endif
 
-	return pci_module_init (&natsemi_driver);
+	return pci_register_driver (&natsemi_driver);
 }
 
 static void __exit natsemi_exit_mod (void)
Index: linux-kj/drivers/net/ne2k-pci.c
===================================================================
--- linux-kj.orig/drivers/net/ne2k-pci.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/ne2k-pci.c	2005-10-28 16:28:47.000000000 +0400
@@ -702,7 +702,7 @@ static int __init ne2k_pci_init(void)
 #ifdef MODULE
 	printk(version);
 #endif
-	return pci_module_init (&ne2k_driver);
+	return pci_register_driver (&ne2k_driver);
 }
 
 
Index: linux-kj/drivers/net/ns83820.c
===================================================================
--- linux-kj.orig/drivers/net/ns83820.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/ns83820.c	2005-10-28 16:28:47.000000000 +0400
@@ -2185,7 +2185,7 @@ static struct pci_driver driver = {
 static int __init ns83820_init(void)
 {
 	printk(KERN_INFO "ns83820.c: National Semiconductor DP83820 10/100/1000 driver.\n");
-	return pci_module_init(&driver);
+	return pci_register_driver(&driver);
 }
 
 static void __exit ns83820_exit(void)
Index: linux-kj/drivers/net/pci-skeleton.c
===================================================================
--- linux-kj.orig/drivers/net/pci-skeleton.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/pci-skeleton.c	2005-10-28 16:28:47.000000000 +0400
@@ -1963,7 +1963,7 @@ static int __init netdrv_init_module (vo
 #ifdef MODULE
 	printk(version);
 #endif
-	return pci_module_init (&netdrv_pci_driver);
+	return pci_register_driver (&netdrv_pci_driver);
 }
 
 
Index: linux-kj/drivers/net/pcnet32.c
===================================================================
--- linux-kj.orig/drivers/net/pcnet32.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/pcnet32.c	2005-10-28 16:28:47.000000000 +0400
@@ -2319,7 +2319,7 @@ static int __init pcnet32_init_module(vo
 	tx_start = tx_start_pt;
 
     /* find the PCI devices */
-    if (!pci_module_init(&pcnet32_driver))
+    if (!pci_register_driver(&pcnet32_driver))
 	pcnet32_have_pci = 1;
 
     /* should we find any remaining VLbus devices ? */
Index: linux-kj/drivers/net/r8169.c
===================================================================
--- linux-kj.orig/drivers/net/r8169.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/r8169.c	2005-10-28 16:28:47.000000000 +0400
@@ -2713,7 +2713,7 @@ static struct pci_driver rtl8169_pci_dri
 static int __init
 rtl8169_init_module(void)
 {
-	return pci_module_init(&rtl8169_pci_driver);
+	return pci_register_driver(&rtl8169_pci_driver);
 }
 
 static void __exit
Index: linux-kj/drivers/net/rrunner.c
===================================================================
--- linux-kj.orig/drivers/net/rrunner.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/rrunner.c	2005-10-28 16:28:47.000000000 +0400
@@ -1739,7 +1739,7 @@ static struct pci_driver rr_driver = {
 
 static int __init rr_init_module(void)
 {
-	return pci_module_init(&rr_driver);
+	return pci_register_driver(&rr_driver);
 }
 
 static void __exit rr_cleanup_module(void)
Index: linux-kj/drivers/net/s2io.c
===================================================================
--- linux-kj.orig/drivers/net/s2io.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/s2io.c	2005-10-28 16:28:47.000000000 +0400
@@ -5691,7 +5691,7 @@ static void __devexit s2io_rem_nic(struc
 
 int __init s2io_starter(void)
 {
-	return pci_module_init(&s2io_driver);
+	return pci_register_driver(&s2io_driver);
 }
 
 /**
Index: linux-kj/drivers/net/saa9730.c
===================================================================
--- linux-kj.orig/drivers/net/saa9730.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/saa9730.c	2005-10-28 16:28:47.000000000 +0400
@@ -1168,7 +1168,7 @@ static struct pci_driver saa9730_driver 
 
 static int __init saa9730_init(void)
 {
-        return pci_module_init(&saa9730_driver);
+        return pci_register_driver(&saa9730_driver);
 }
 
 static void __exit saa9730_cleanup(void)
Index: linux-kj/drivers/net/sis900.c
===================================================================
--- linux-kj.orig/drivers/net/sis900.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/sis900.c	2005-10-28 16:28:47.000000000 +0400
@@ -2402,7 +2402,7 @@ static int __init sis900_init_module(voi
 	printk(version);
 #endif
 
-	return pci_module_init(&sis900_pci_driver);
+	return pci_register_driver(&sis900_pci_driver);
 }
 
 static void __exit sis900_cleanup_module(void)
Index: linux-kj/drivers/net/starfire.c
===================================================================
--- linux-kj.orig/drivers/net/starfire.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/starfire.c	2005-10-28 16:28:47.000000000 +0400
@@ -2136,7 +2136,7 @@ static int __init starfire_init (void)
 		return -ENODEV;
 	}
 
-	return pci_module_init (&starfire_driver);
+	return pci_register_driver (&starfire_driver);
 }
 
 
Index: linux-kj/drivers/net/sundance.c
===================================================================
--- linux-kj.orig/drivers/net/sundance.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/sundance.c	2005-10-28 16:28:47.000000000 +0400
@@ -1771,7 +1771,7 @@ static int __init sundance_init(void)
 #ifdef MODULE
 	printk(version);
 #endif
-	return pci_module_init(&sundance_driver);
+	return pci_register_driver(&sundance_driver);
 }
 
 static void __exit sundance_exit(void)
Index: linux-kj/drivers/net/sungem.c
===================================================================
--- linux-kj.orig/drivers/net/sungem.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/sungem.c	2005-10-28 16:28:47.000000000 +0400
@@ -3188,7 +3188,7 @@ static struct pci_driver gem_driver = {
 
 static int __init gem_init(void)
 {
-	return pci_module_init(&gem_driver);
+	return pci_register_driver(&gem_driver);
 }
 
 static void __exit gem_cleanup(void)
Index: linux-kj/drivers/net/tc35815.c
===================================================================
--- linux-kj.orig/drivers/net/tc35815.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/tc35815.c	2005-10-28 16:28:47.000000000 +0400
@@ -1725,7 +1725,7 @@ static struct pci_driver tc35815_driver 
 
 static int __init tc35815_init_module(void)
 {
-	return pci_module_init(&tc35815_driver);
+	return pci_register_driver(&tc35815_driver);
 }
 
 static void __exit tc35815_cleanup_module(void)
Index: linux-kj/drivers/net/tg3.c
===================================================================
--- linux-kj.orig/drivers/net/tg3.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/tg3.c	2005-10-28 16:28:47.000000000 +0400
@@ -10848,7 +10848,7 @@ static struct pci_driver tg3_driver = {
 
 static int __init tg3_init(void)
 {
-	return pci_module_init(&tg3_driver);
+	return pci_register_driver(&tg3_driver);
 }
 
 static void __exit tg3_cleanup(void)
Index: linux-kj/drivers/net/typhoon.c
===================================================================
--- linux-kj.orig/drivers/net/typhoon.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/typhoon.c	2005-10-28 16:28:47.000000000 +0400
@@ -2660,7 +2660,7 @@ static struct pci_driver typhoon_driver 
 static int __init
 typhoon_init(void)
 {
-	return pci_module_init(&typhoon_driver);
+	return pci_register_driver(&typhoon_driver);
 }
 
 static void __exit
Index: linux-kj/drivers/net/via-rhine.c
===================================================================
--- linux-kj.orig/drivers/net/via-rhine.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/via-rhine.c	2005-10-28 16:28:47.000000000 +0400
@@ -2019,7 +2019,7 @@ static int __init rhine_init(void)
 #ifdef MODULE
 	printk(version);
 #endif
-	return pci_module_init(&rhine_driver);
+	return pci_register_driver(&rhine_driver);
 }
 
 
Index: linux-kj/drivers/net/via-velocity.c
===================================================================
--- linux-kj.orig/drivers/net/via-velocity.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/via-velocity.c	2005-10-28 16:28:47.000000000 +0400
@@ -2244,7 +2244,7 @@ static int __init velocity_init_module(v
 	int ret;
 
 	velocity_register_notifier();
-	ret = pci_module_init(&velocity_driver);
+	ret = pci_register_driver(&velocity_driver);
 	if (ret < 0)
 		velocity_unregister_notifier();
 	return ret;
Index: linux-kj/drivers/net/yellowfin.c
===================================================================
--- linux-kj.orig/drivers/net/yellowfin.c	2005-10-28 16:25:13.000000000 +0400
+++ linux-kj/drivers/net/yellowfin.c	2005-10-28 16:28:47.000000000 +0400
@@ -1474,7 +1474,7 @@ static int __init yellowfin_init (void)
 #ifdef MODULE
 	printk(version);
 #endif
-	return pci_module_init (&yellowfin_driver);
+	return pci_register_driver (&yellowfin_driver);
 }
 
 
